### Hierarchy

- unknown
  - MarketPriceRequest

## Index

### Constructors

- constructor

### Methods

- getCurrencyCode
- serializeBinary
- setCurrencyCode
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new MarketPriceRequest(): MarketPriceRequest

- Inherited from jspb.Message.constructor

  #### Returns MarketPriceRequest

## Methods

### getCurrencyCode

- getCurrencyCode(): string

- - Defined in src/protobuf/grpc_pb.d.ts:2040

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:2043

  #### Returns Uint8Array

### setCurrencyCode

- setCurrencyCode(value: string): MarketPriceRequest

- - Defined in src/protobuf/grpc_pb.d.ts:2041

  #### Parameters

  - ##### value: string

  #### Returns MarketPriceRequest

### toObject

- toObject(includeInstance?: boolean): MarketPriceRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2044

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns MarketPriceRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): MarketPriceRequest

- - Defined in src/protobuf/grpc_pb.d.ts:2047

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns MarketPriceRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: MarketPriceRequest, reader: BinaryReader): MarketPriceRequest

- - Defined in src/protobuf/grpc_pb.d.ts:2048

  #### Parameters

  - ##### message: MarketPriceRequest

  - ##### reader: BinaryReader

  #### Returns MarketPriceRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: MarketPriceRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:2046

  #### Parameters

  - ##### message: MarketPriceRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: MarketPriceRequest ): MarketPriceRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2045

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: MarketPriceRequest

  #### Returns MarketPriceRequest . AsObject

Generated using TypeDoc